#!/bin/sh

route="1234@12345678"
key_secret="209110...824B990"

date=$(date -Iseconds)
key=$(echo -n "$date$route$key_secret" | shasum -a 512 | head -c 128)

curl "https://eu-nl.api.go-integrate.me/1/list-messages" \
	--header "request-timestamp: $date" \
	--header "request-from: $route" \
	--header "request-key: $key" \
	-o data \
	-D headers

